lp:ubuntu/lucid/hplip

Created by James Westby on 2009-12-05 and last modified on 2010-04-12
Get this branch:
bzr branch lp:ubuntu/lucid/hplip
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

135. By Till Kamppeter on 2010-04-12

* debian/hplip-dbg.install, debian/hplip.install, debian/control: Moved
  hp-check into hplip-dbg, as it is a debugging tool. Added dependency
  on libcups2-dev to hplip-dbg, as hp-check needs cups-config
  (LP: #530327).
* debian/hplip-cups.postinst, debian/hpijs.postinst,
  debian/hpijs-ppds.postinst: Updated also PPDs with version numbers like
  3.10.2rc1.9.

134. By Till Kamppeter on 2010-04-11

* debian/control: As we use HPIJS as default printer driver flavor again,
  let the "hplip" package recommend the "hpijs" package and not the
  "hplip-cups" package.
* debian/patches/remove-duplicate-entry-for-cp1700-in-drv-files.dpatch,
  debian/non-shipped-files.txt: Removed duplicate entry for the HP Color
  Inkjet Printer 1700, the wrong entry missed also the large (A3,
  SuperB, ...) paper sizes (LP: #290559).

133. By Till Kamppeter on 2010-04-09

[ Till Kamppeter ]
* debian/patches/make-commafy-correctly-work-with-python-2.dpatch:
  Installation of the proprietary plug-in did not work with some locales
  (LP: #525901).
* debian/hplip-cups.postinst, debian/hpijs.postinst: Switch back to HPIJS as
  default driver (migrate hpcups queues to HPIJS) as there are new problems
  with hpcups (LP: #553573, LP: #539708, LP: #538031, LP: #405116).

[ Mark Purcell ]
* Fix "can't add printer (Printer queue setup failed)" added debian/hplip.NEWS
  - CUPS requires user to be a member of lpadmin group. (Closes: #566692)
* Add Recommends: avahi-daemon "HP Color Laserjet CM1312nfi" (Closes: #564520)
* Add bug/presubj to hplip-cups, hplip-gui & hpijs
* Add hplip-cups.NEWS
* bug/script provide status message before hp-check
* Patch hp-check to check for group membership of lp & lpadmin

132. By Till Kamppeter on 2010-03-25

debian/patches/hp-systray-segfault-on-quit.dpatch: Fixed a hp-systray to
not segfaulting when quitting the program (LP: #546816).

131. By Till Kamppeter on 2010-03-24

debian/patches/simple-scan-as-default.dpatch: Make simple-scan the default
scanning frontend (LP: #539015).

130. By Till Kamppeter on 2010-03-23

* debian/control: Added lsb-release to the build dependencies, as we use
  lsb_release to determine whether we build on Ubuntu, to do Ubuntu-specific
  steps.
* debian/rules, debian/hplip.install: Install hp-plugin-ubuntu directly
  into debian/hplip/, as we cannot use debian/hplip.install for this Ubuntu-
  specific file.

129. By Till Kamppeter on 2010-03-16

* debian/hplip.install: let /usr/bin/hp-plugin-ubuntu get installed.
* debian/patches/hp-mkuri-take-into-account-already-installed-plugin-also-for-exit-value.dpatch:
  The hp-mkuri utility did not take into account whether the proprietary
  plugin is already installed when returning its exit value.
* debian/patches/ubuntu-hp-mkuri-send-dbus-signal-to-update-notifier.dpatch,
  debian/patches/ubuntu-hp-mkuri-notification-text.dpatch: Replaced the
  Ubuntu-specific patch for hp-mkuri, as we do not need to send a D-Bus
  message any more.

128. By Till Kamppeter on 2010-02-26

* New upstream release
   o Final 3.10.2 release
   o Removed device IDs from the PostScript PPDs again
   o Support for *.types and *.convs files in /usr/share/cups/mime/
* debian/hplip.install: "make install" puts *.types and *.convs files into
  /usr/share/cups/mime/ now.
* debian/hpijs.postinst: Corrected regexps for the PPD NickName so that this
  package does not migrate existing hpcups-based fax queues to HPIJS.

127. By Kees Cook on 2010-02-16

debian/hplip.preinst: when removing old udev rules, handle files that
are marked as obsolete when checking md5sums.

126. By Till Kamppeter on 2010-02-12

* debian/rules: Copy all fax PPDs, there are "Fax3" PPDs now and there will
  come more in the future.
* debian/hplip.install: Install also the new pstotiff filter (for fax) and
  the corresponding *.types and *.convs files.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/hplip
This branch contains Public information 
Everyone can see this information.

Subscribers